%define module_name	drm
%define module_version	2008.08.01
%define module_release	alt1

# git://anongit.freedesktop.org/git/mesa/drm
%define module_source	%module_name-%module_version.tar

#### MODULE SOURCES ####
Name: kernel-source-%module_name-%module_version
Version: %module_version
Release: %module_release
Summary: Linux %module_name modules sources
License: GPL
Group: Development/Kernel
URL: http://dri.freedesktop.org/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %module_source
Patch: %module_name-%module_version-%release.patch

BuildArch: noarch
BuildRequires: kernel-build-tools

%description
%module_name modules sources for Linux kernel

%prep
%setup -c -q
cd %module_name-%module_version
%patch -p1

find . -name '*.orig' -print -delete
cd ..
mv %module_name-%module_version kernel-source-%module_name-%module_version

%install
mkdir -p %kernel_srcdir
tar -c  kernel-source-%module_name-%module_version | bzip2 -c > \
	%kernel_srcdir/kernel-source-%module_name-%module_version.tar.bz2

%files
%_usrsrc/*

%changelog
* Thu Aug 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 2008.08.01-alt1
- 2008.08.01 git snapshot (4585787bd1a1d782b9e7c06095f98d09165b8c23)

* Tue Jul 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 2008.07.15-alt2
- fixed missing symbol export (764573f3b8bec90f20c3bdd58c4b55490fbbdaf4)

* Tue Jul 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 2008.07.15-alt1
- 2008.07.15 git snapshot (abdd523c759a5e19e733e3b544c2f1bcaa7a0b9a), requires for kernel-2.6.26

* Wed Jun 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 2008.06.18-alt1
- 2008.06.18 git snapshot (00f549bd5f40d9ad6ec7164cd01646ed468b9a4a)

* Fri May 30 2008 Valery Inozemtsev <shrek@altlinux.ru> 2008.05.28-alt1
- 2008.05.28 git snapshot (5b86823fa36513f521412a38c240cb18f02dcc9a)

* Tue May 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 2008.05.12-alt1
- 2008.05.12 git snapshot (10d754f0a2ba2bdda87c243305c8fc46616e965c)

* Mon Apr 28 2008 Michail Yakushin <silicium@altlinux.ru> 2008.04.28-alt1
- new vesrion
- move source to separate branch

* Mon Apr 14 2008 Michail Yakushin <silicium@altlinux.ru> 2008.04.14-alt1
- 2008.04.14 git snapshot (1ad1bd5bd95db71500edfcea8b46421d7f3cdb15).

* Fri Oct 20 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.10.17-alt1
- 2006.10.17 git snapshot (561e23a7c2f06b382613d3e2ae8d23104d0949aa).

* Mon Sep 18 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.09.15-alt1
- 2006.09.15 git snapshot (6ba9127753eff7615ba553fbc567aec98ecf8104).
- Removed alt-section-mismatch patch (fixed upstream).
- Updated URL.

* Fri Jun 23 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.06.23-alt1
- Updated to 2006.06.23 CVS snapshot.
- Added patches:
  + drm-2006.06.22-alt-section-mismatch.patch: fix section mismatch warnings
    due to use of EXPORT_SYMBOL on __exit functions

* Thu Feb 23 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.02.23-alt1
- Updated to 2006.02.23 CVS snapshot.
- Updated define_spinlock patch.
- Added patches:
  + drm-2006.02.23-debug-rights.patch: fix permissions for 'debug' parameter in
    sysfs (CAN-2005-3179)
  + drm-2006.02.23-via-spinlocks.patch: fix compilation with
    -feat-realtime-preempt (from lakostis@)

* Mon Nov 29 2005 LAKostis <lakostis at altlinux.ru> 2005.11.18-alt1
- Updated to 2005.11.18 due x86_64 fixes.

* Sat Oct 08 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.10.08-alt1
- Updated to 2005.10.08 CVS snapshot.

* Fri Jul 22 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.22-alt1
- Updated to 2005.07.22 CVS snapshot.
- Added patch to fix compilation with realtime-preempt kernel patch.

* Mon May 30 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.30-alt1
- Updated to 2005.05.30 CVS snapshot.

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Packaged sources from DRI CVS.
